[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TCustomCoolBar.IsFirstAtRow

Checks whether the band at the specified position is the first one on a row.

## Declaration

Source position: comctrls.pp line 2620

`protected function TCustomCoolBar.IsFirstAtRow(`
`ABand: Integer`
`):Boolean;`

## Arguments

`ABand` |  | Ordinal position for the visible band examined in the method.

## Function result

True is the requested band is the left edge of the visible display area for the control.

## Description

IsFirstAtRow is a Boolean function which indicates if the visible band at the specified position is the first band on its row.

ABand is the ordinal position for the requested band in the visible bands for the control. It represents an element in the internal array of visible TCoolBand instances populated in the CalculateAndAlign method.

IsFirstAtRow uses values from Vertical and IsRightToLeft to determine the orientation and order for the bands. The return value is True when the band at the specified position is the first one visually displayed on a given row.

IsFirstAtRow is used in MouseDown and MouseMove when handling drag messages to order the bands in the control.